package com.tzld.piaoquan.api.common.enums;


import java.util.Objects;
import java.util.UUID;

public enum SecretEnum {

    SECRET_ENUM_1("3b83574b477d4c5b8508a6e33f6e35ec", "魅力", "ml"),
    SECRET_ENUM_2("70d342bf11a84ac7aca6b3e99541e085", "老来福", "llf"),
    SECRET_ENUM_3("595db67618174499b2bed23d8be6a3c1", "微小盟", "wxm"),
    SECRET_ENUM_4("9a48498757774ddf8a3878b9c02d0fef", "像素", "xs"),
    SECRET_ENUM_5("35afea64fd374477bb32999120b91637", "泽火", "zh"),
    SECRET_ENUM_6("ee93a44c4be4448ab0ac9334a296016e", "云誉", "yy"),
    SECRET_ENUM_7("da2c526d31d14430b49af808e90542dc", "创易", "cy"),
    SECRET_ENUM_8("e5758dbc43204434b71b8e025023170f", "微讯", "wx"),
    SECRET_ENUM_9("1e836616178a4c32a9e8abea47eb6edd", "莱墘", "lq"),
    SECRET_ENUM_10("57a1c09a209445fc83a5fba81b0194bc", "博虎", "bh"),
    SECRET_ENUM_11("232bab5faeb54acfbbcef3dc693c4639", "守望", "sw"),
    SECRET_ENUM_12("41512383ac8543239dc539306f72b8bc", "令视", "ls"),
    SECRET_ENUM_13("17fe375058184fdcb2aed35678aeb4d4", "杭州奇风", "hzqf"),
    SECRET_ENUM_14("d8694855dec94945acb8b2b08ffe72d4", "云誉高质", "yygz");


    SecretEnum(String secret, String desc, String channel) {
        this.secret = secret;
        this.desc = desc;
        this.channel = channel;
    }

    public final String secret;
    public final String desc;
    public final String channel;

    public static boolean contains(String secret) {
        for (SecretEnum secretEnum : SecretEnum.values()) {
            if (Objects.equals(secretEnum.secret, secret)) {
                return true;
            }
        }
        return false;
    }

    public static SecretEnum get(String secret) {
        for (SecretEnum secretEnum : SecretEnum.values()) {
            if (Objects.equals(secretEnum.secret, secret)) {
                return secretEnum;
            }
        }
        return null;
    }

    public static void main(String[] args) {
        System.out.println(UUID.randomUUID());
    }
}
